%global debug_package %{nil}
%if 0%{?fedora} || 0%{?rhel}
%global requires  %{?requires} libcap
%endif
%if 0%{?suse_version}
%global requires  %{?requires} libcap-progs
%endif
#
# spec file for package shadowsocks-qtun
#

Name:           shadowsocks-qtun
Version:        0.2.0
Release:        1%{?dist}
Summary:        A SIP003 plugin based on IETF-QUIC, designed as plugin server of shadowsocks
License:        MIT
Group:          Applications/Internet
URL:            https://github.com/shadowsocks/qtun
Source0:        %{name}-%{version}.tar.gz
#BuildRequires:  cargo >= 1.59
Requires:       %{?requires}

%if 0%{?fedora} >= 15 || 0%{?rhel} >=7 || 0%{?suse_version} >= 1210
%global use_systemd 1
%else
%global use_systemd 0
%endif

%if 0%{?use_systemd}
%{?systemd_requires}
%if 0%{?suse_version}
BuildRequires:   systemd-rpm-macros
%else
BuildRequires:   systemd
%endif
%endif

%description
Yet another SIP003 plugin based on IETF-QUIC.

%prep
%setup -q

%build
cargo build --release

%install
install -d %{buildroot}%{_bindir}
install -m 755 target/release/qtun-client %{buildroot}%{_bindir}/qtun-client
install -m 755 target/release/qtun-server %{buildroot}%{_bindir}/qtun-server

%pre


%post
setcap cap_net_bind_service+ep %{_bindir}/qtun-client \
       cap_net_bind_service+ep %{_bindir}/qtun-server

%preun


%postun
echo "Update your shadowsocks configure file, and restart it maunally."

%files
%doc README.md
%{_bindir}/qtun-*

%changelog
* Sat Oct 14 2023 Teddysun <i@teddysun.com> - 0.2.0-1
- Update version to 0.2.0

